
QGIS Application - Bug report #20769

QGIS Crash when editing attribute table

2018-12-11 04:31 AM - Grant Boxer

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.4.2 Regression?: No

Operating System: Win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28589

Description

User Feedback

Editing in attribute table

Report Details

Crash ID: 6a0abe6acc190999e5a272f3fb2765758a1753e1

Stack Trace

QSortFilterProxyModel::parent :

QModelIndex::parent :

QTableView::visualRect :

QAbstractItemView::update :

QAbstractItemView::currentChanged :

QMetaObject::activate :

QItemSelectionModel::`default constructor closure' :

QItemSelectionModel::qt_static_metacall :

QMetaObject::activate :

QAbstractItemModel::beginRemoveRows :

QSortFilterProxyModel::removeRows :

QSortFilterProxyModel::sortRole :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::beginRemoveRows :

QgsAttributeTableModel::removeRows :

QgsAttributeTableModel::loadLayer :

QMetaObject::activate :

QMetaObject::activate :

QgsVectorLayer::updateFields :

QgsVectorLayerUndoCommandAddAttribute::redo :

QUndoStack::push :

QgsVectorLayerEditBuffer::addAttribute :

QgsAttributeTableDialog::mActionAddAttribute_triggered :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-12-11 10:21 AM - Alessandro Pasotti

- Status changed from Open to Feedback

Please add step-by-step instructions about how to reproduce this issue, a stack trace is not enough.

#2 - 2018-12-11 11:43 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Category changed from Unknown to Editing

Also try with a new/clean profile.

#3 - 2019-01-15 04:07 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
